# $Revision: 1.13.2.2 $, $Date: 2007/04/01 15:23:22 $
Summary:	Catalan resources for Mozilla-firefox
Summary(ca):	Recursos catalans per Mozilla-firefox
Summary(es):	Recursos catalanes para Mozilla-firefox
Summary(pl):	Kataloskie pliki jzykowe dla Mozilli-firefox
Name:		mozilla-firefox-lang-ca
Version:	2.0.0.3
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/ca.xpi
# Source0-md5:	9aec239b160b80e15c045bfce8cb9c3e
URL:		http://www.softcatala.org/projectes/mozilla/
BuildRequires:	unzip
Requires:	mozilla-firefox >= %{version}
Provides:	mozilla-firefox-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_datadir}/mozilla-firefox
%define		_chromedir	%{_firefoxdir}/chrome

%description
Catalan resources for Mozilla-firefox.

%description -l ca
Recursos catalans per Mozilla-firefox.

%description -l es
Recursos catalanes para Mozilla-firefox.

%description -l pl
Kataloskie pliki jzykowe dla Mozilli-firefox.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_firefoxdir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/ca.jar $RPM_BUILD_ROOT%{_chromedir}/ca-ES.jar
sed -e 's@chrome/ca@ca-ES@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/ca-ES.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_firefoxdir}/defaults/profile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/ca-ES.jar
%{_chromedir}/ca-ES.manifest
# file conflict:
#%{_firefoxdir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-lang-ca.spec,v $
Revision 1.13.2.2  2007/04/01 15:23:22  glen
- 2.0.0.3

Revision 1.13.2.1  2007/02/25 01:37:30  glen
- 2.0.0.2

Revision 1.13  2006/12/22 15:33:37  glen
- 2.0.0.1

Revision 1.12  2006/12/08 14:44:27  glen
- drop bogus deps

Revision 1.11  2006/12/08 14:42:08  glen
- 2.0

Revision 1.10  2006/11/15 11:19:50  qboosh
- updated to 1.5.0.8

Revision 1.9  2006/08/08 12:51:45  spider
- massive up to 1.5.0.6

Revision 1.8  2006/06/02 17:29:28  adamg
- updated to 1.5.0.4

Revision 1.7  2006/05/23 07:28:16  spider
- up to 1.5.0.3

Revision 1.6  2006/04/17 18:55:33  sparky
- up to 1.5.0.2

Revision 1.5  2006/02/19 15:53:03  sparky
- oops, wrong md5

Revision 1.4  2006/02/19 15:50:48  sparky
- updated to 1.5.0.1 and fixed

Revision 1.3  2006/01/15 20:56:10  blekot
- up to 1.5

Revision 1.2  2005/10/01 20:50:26  sparky
- updated to 1.0.7
- file renamed to glibc standart ca-ES (but internally it's still ca-AD)
- seems to work, STBR

Revision 1.1  2005/04/16 13:39:47  sparky
- new, not tested yet
